#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	24.08.3
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		merkuro
Summary:	Kalendar
Summary(pl.UTF-8):	Kalendarz
Name:		ka6-%{kaname}
Version:	24.08.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	1481a8311a162a6638e70872ff316c21
URL:		https://apps.kde.org/merkuro/
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6DBus-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Network-devel >= 5.15.2
BuildRequires:	Qt6Qml-devel >= 5.15.10
BuildRequires:	Qt6Quick-devel >= 5.15.10
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	gpgme-c++-devel
BuildRequires:	gpgme-qt6-devel
BuildRequires:	ka6-akonadi-calendar-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-contacts-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-mime-devel >= %{kdeappsver}
BuildRequires:	ka6-kcalutils-devel >= %{kdeappsver}
BuildRequires:	ka6-kidentitymanagement-devel >= %{kdeappsver}
BuildRequires:	ka6-mimetreeparser-devel >= %{kdeappsver}
BuildRequires:	ka6-pimcommon-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= 5.96.0
BuildRequires:	kf6-kcalendarcore-devel >= 5.105.0
BuildRequires:	kf6-kcontacts-devel >= 5.105.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.96.0
BuildRequires:	kf6-ki18n-devel >= 5.109.0
BuildRequires:	kf6-kiconthemes >= 5.96.0
BuildRequires:	kf6-kirigami-addons-devel >= 1.4.0
BuildRequires:	kf6-kirigami-devel >= 5.96.0
BuildRequires:	kf6-kitemmodels-devel >= 5.105.0
BuildRequires:	kf6-qqc2-desktop-style-devel >= 5.96.0
BuildRequires:	kp6-libplasma-devel >= 6.2.0
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-data = %{version}-%{release}
Obsoletes:	ka5-merkuro < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Merkuro is a Kirigami-based calendar and task management application
that uses Akonadi. It lets you add, edit and delete events and tasks
from local and remote accounts of your choice, while keeping changes
synchronised across your Plasma desktop or phone.

%description -l pl.UTF-8
Merkuro to oparty na Kirigami kalendarz i aplikacja do zarządzania
zadaniami, wykorzystująca Akonadi. Pozwala dodawać, modyfikować i
usuwać wydarzenia i zadania z wybranych lokalnych i zdalnych kont,
pilnując synchronizacji z pulpitem Plazmy lub telefonem.

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications
Obsoletes:	ka5-merkuro-data < 24
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/merkuro-calendar
%attr(755,root,root) %{_bindir}/merkuro-contact
%attr(755,root,root) %{_bindir}/merkuro-mail
%attr(755,root,root) %{_libdir}/libMerkuroComponents.so.*.*
%ghost %{_libdir}/libMerkuroComponents.so.?
%{_libdir}/libMerkuroComponents.so
%attr(755,root,root) %{_libdir}/libmerkuro_contact.so.*.*
%ghost %{_libdir}/libmerkuro_contact.so.?
%{_libdir}/libmerkuro_contact.so
%dir %{_libdir}/qt6/qml/org/kde/akonadi
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/akonadi/libakonadi_quick_plugin.so
%{_libdir}/qt6/qml/org/kde/akonadi/AgentConfigurationForm.qml
%{_libdir}/qt6/qml/org/kde/akonadi/CollectionComboBox.qml
%{_libdir}/qt6/qml/org/kde/akonadi/MobileCollectionComboBox.qml
%{_libdir}/qt6/qml/org/kde/akonadi/ProgressStatusBar.qml
%{_libdir}/qt6/qml/org/kde/akonadi/TagManagerPage.qml
%{_libdir}/qt6/qml/org/kde/akonadi/akonadi_quick_plugin.qmltypes
%{_libdir}/qt6/qml/org/kde/akonadi/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/akonadi/qmldir
%dir %{_libdir}/qt6/qml/org/kde/merkuro
%dir %{_libdir}/qt6/qml/org/kde/merkuro/calendar
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/merkuro/calendar/libmerkuro_calendar_plugin.so
%{_libdir}/qt6/qml/org/kde/merkuro/calendar/*.qml
%{_libdir}/qt6/qml/org/kde/merkuro/calendar/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/merkuro/calendar/merkuro_calendar_plugin.qmltypes
%{_libdir}/qt6/qml/org/kde/merkuro/calendar/qmldir
%dir %{_libdir}/qt6/qml/org/kde/merkuro/components
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/merkuro/components/libMerkuroComponentsplugin.so
%{_libdir}/qt6/qml/org/kde/merkuro/components/qmldir
%{_libdir}/qt6/qml/org/kde/merkuro/components/*.qml
%{_libdir}/qt6/qml/org/kde/merkuro/components/MerkuroComponents.qmltypes
%{_libdir}/qt6/qml/org/kde/merkuro/components/kde-qmlmodule.version
%dir %{_libdir}/qt6/qml/org/kde/merkuro/contact
%{_libdir}/qt6/qml/org/kde/merkuro/contact/private
%{_libdir}/qt6/qml/org/kde/merkuro/contact/resources
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/merkuro/contact/libmerkuro_contact_plugin.so
%{_libdir}/qt6/qml/org/kde/merkuro/contact/*.qml
%{_libdir}/qt6/qml/org/kde/merkuro/contact/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/merkuro/contact/merkuro_contact_plugin.qmltypes
%{_libdir}/qt6/qml/org/kde/merkuro/contact/qmldir

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%{_datadir}/knotifications6/merkuro.mail.notifyrc
%{_datadir}/metainfo/org.kde.merkuro.calendar.metainfo.xml
%{_datadir}/metainfo/org.kde.merkuro.contact.appdata.xml
%{_datadir}/metainfo/org.kde.merkuro.contact.metainfo.xml
%{_datadir}/metainfo/org.kde.merkuro.mail.metainfo.xml
%{_datadir}/metainfo/org.kde.merkuro.metainfo.xml
%{_datadir}/plasma/plasmoids/org.kde.merkuro.contact
%{_datadir}/qlogging-categories6/akonadi.quick.categories
%{_datadir}/qlogging-categories6/merkuro.categories
%{_datadir}/qlogging-categories6/merkuro.contact.categories
%{_desktopdir}/org.kde.merkuro.calendar.desktop
%{_desktopdir}/org.kde.merkuro.contact.desktop
%{_desktopdir}/org.kde.merkuro.mail.desktop
%{_iconsdir}/hicolor/*x*/apps/*.png
%changelog
* Fri Nov 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-merkuro.git;a=log;h=master

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1d70d8f
- updated to 24.08.3

* Sun Nov 03 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 189ee9d
- dirs

* Sat Nov 02 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e4bd8ae
- BR: kp6-libplasma-devel

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 406868c
- files cleanup / .so perms

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 073e73d
- pl

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> ad8d024
- macros for ninja

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 90f3402
- updated kirigami-addons package name

* Mon Oct 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bbf7ca2
- dir

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 93f0f45
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 19fd8c3
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ba1bf00
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 609fcde
- data subpackage

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3b9660b
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4097799
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 77b7d9e
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f1e1f4c
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9fa0367
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fe398df
- updated to 24.02.0

